Subject: Re: dcache BUG()

From: Dan Malek <[email-masked]>
Date: Mon, 07 May 2001 21:11:32 -0400

Eli Chen wrote:

> .... Perhaps there are other places that returns
> from an interrupt?

No, that's a common return path that should catch all cases.
There may be something else wrong with the Ethernet driver itself.
When I updated it to the 2.4_devel baseline, there were some weird
cache management calls that didn't make sense.  My updates were to
use the standard non-coherent cache management functions, and I
changed the logic to make sense (to me :-).  From this quick update,
I noticed it would be nice to make the transmit more efficient
and higher performance by handling multiple frames, but it should
function properly.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/